forked from pool/alsa-utils
Takashi Iwai
7200ea9d85
- Backport upstream patches: A few portability fixes, alsaucm fixes and extensions, alsatplg minor fixes, alsa-info.sh extensions: 0001-treewide-sys-poll-to-poll.patch 0002-treewide-Fix-wrong-formats-on-32-bit.patch 0003-treewide-Fix-printf-formats.patch 0004-aplay-Adjust-buffer-sizes-to-fix-snprintf-warnings.patch 0005-aplay-Limit-VUMeter-progress-bar-to-100-for-negative.patch 0006-alsactl-sysfs-add-sys-kernel-uevent_seqnum-check-to-.patch 0007-alsaucm-use-the-first-sound-card-use-case-name-hw-CA.patch 0008-alsaucm-add-text-dump-command.patch 0009-alsaucm-add-json-dump-command.patch 0010-alsaucm-dump-fix-the-prefixed.patch 0011-alsactl-fix-sched-idle-set-it-really-to-SCHED_IDLE.patch 0012-configure-Fix-linking-of-alsatplg-with-the-older-lib.patch 0013-alsatplg-add-n-normalize-option.patch 0014-alsatplg-add-s-sort-and-fix-memory-leaks.patch 0015-alsatplg-fix-another-small-leak-in-normalize_config.patch 0016-alsa-info.sh-Consolidate-PCI-device-output.patch 0017-alsa-info.sh-Read-from-proc-modules-and-sort-the-res.patch 0018-alsa-info.sh-Simplify-iteration-over-cards-when-call.patch 0019-alsa-info.sh-Use-existing-function-to-print-ALSA-con.patch 0020-alsa-info.sh-Exit-script-after-writing-information-t.patch 0021-alsa-info.sh-Replace-gauge-with-infobox-for-upload-d.patch 0022-alsa-info.sh-Remove-progress-spinner-during-upload-w.patch 0023-alsa-info.sh-Condense-nested-commands-for-file-uploa.patch 0024-alsa-info.sh-Condense-nested-commands-for-formatting.patch 0025-alsa-info.sh-Perform-test-for-wget-earlier.patch 0026-alsa-info.sh-Warn-after-actual-upload-failure-do-not.patch OBS-URL: https://build.opensuse.org/request/show/766332 OBS-URL: https://build.opensuse.org/package/show/multimedia:libs/alsa-utils?expand=0&rev=165
41 lines
1.4 KiB
Diff
41 lines
1.4 KiB
Diff
From 068dd55717d4e020849e4dd12610d16968cf49be Mon Sep 17 00:00:00 2001
|
|
From: David Ward <david.ward@ll.mit.edu>
|
|
Date: Sat, 21 Dec 2019 00:32:03 -0500
|
|
Subject: [PATCH 18/26] alsa-info.sh: Simplify iteration over cards when
|
|
calling amixer
|
|
|
|
Read card names directly from individual procfs files, and pass them
|
|
to amixer using the '-c' option.
|
|
|
|
Signed-off-by: David Ward <david.ward@ll.mit.edu>
|
|
Signed-off-by: Takashi Iwai <tiwai@suse.de>
|
|
---
|
|
alsa-info/alsa-info.sh | 10 +++++-----
|
|
1 file changed, 5 insertions(+), 5 deletions(-)
|
|
|
|
diff --git a/alsa-info/alsa-info.sh b/alsa-info/alsa-info.sh
|
|
index ed1d9e248405..e1067d42f9f8 100755
|
|
--- a/alsa-info/alsa-info.sh
|
|
+++ b/alsa-info/alsa-info.sh
|
|
@@ -144,12 +144,12 @@ withamixer() {
|
|
echo "!!Amixer output" >> $FILE
|
|
echo "!!-------------" >> $FILE
|
|
echo "" >> $FILE
|
|
- for i in $(grep "]: " /proc/asound/cards | awk -F ' ' '{ print $1 }') ; do
|
|
- CARD_NAME=$(grep "^ *$i " $TEMPDIR/alsacards.tmp | awk '{ print $2 }')
|
|
- echo "!!-------Mixer controls for card $i $CARD_NAME]" >> $FILE
|
|
+ for f in /proc/asound/card*/id; do
|
|
+ [ -f "$f" ] && read -r CARD_NAME < "$f" || continue
|
|
+ echo "!!-------Mixer controls for card $CARD_NAME" >> $FILE
|
|
echo "" >>$FILE
|
|
- amixer -c$i info >> $FILE 2>&1
|
|
- amixer -c$i >> $FILE 2>&1
|
|
+ amixer -c "$CARD_NAME" info >> $FILE 2>&1
|
|
+ amixer -c "$CARD_NAME" >> $FILE 2>&1
|
|
echo "" >> $FILE
|
|
done
|
|
echo "" >> $FILE
|
|
--
|
|
2.16.4
|
|
|